Bug 253858 - Review Request: system-config-vsftpd - graphical utility for administrating vsftpd
Review Request: system-config-vsftpd - graphical utility for administrating ...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Maros Barabas
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-22 09:31 EDT by Maros Barabas
Modified: 2007-11-30 17:12 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-06 09:47:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mmaslano: fedora‑review+
wtogami: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Maros Barabas 2007-08-22 09:31:24 EDT
Spec URL: http://vsftpd-config.svn.sourceforge.net/viewvc/*checkout*/vsftpd-config/trunk/system-config-vsftpd.spec
SRPM URL: http://easynews.dl.sourceforge.net/sourceforge/vsftpd-config/system-config-vsftpd-0.4.4-1.fc7.src.rpm
Description: System-config-vsftpd is a graphical utility for administrating
Very Secure FTP Daemon ( VSFTPD ).
This is my first package and I need a sponsor.
Comment 1 Marcela Mašláňová 2007-08-28 05:39:15 EDT
You should fix this warning: File listed twice:
/usr/share/applications/system-config-vsftpd.desktop, because the file shouldn't
be listed twice.

rpmlint output:
W: system-config-vsftpd no-dependency-on usermode
W: system-config-vsftpd dangerous-command-in-%preun rm

another spec things:
The license could be GPLv2+ ?

%defattr(-,root,root) is usually %defattr(-,root,root,-)

I'm not sure if vendor couldn't be fedora. You are upstream so you can decide it.
Comment 2 Maros Barabas 2007-08-28 08:59:16 EDT
All done:
SPEC:
http://vsftpd-config.svn.sourceforge.net/viewvc/*checkout*/vsftpd-config/trunk/system-config-vsftpd.spec
RPM - for download use:
www.sf.net/projects/vsftpd-config/download

Thanks
Comment 3 Maros Barabas 2007-08-29 07:29:12 EDT
New Package CVS Request
=======================
Package Name: system-config-vsftpd
Short Description: graphical utility for administrating VSFTPD
Owners: mbarabas
Branches: FC-6 F-7
InitialCC: 
Cvsextras Commits: no
Comment 5 Bill Nottingham 2007-08-29 11:58:00 EDT
Random comments:

- it crashes when you don't have vsftpd installed

- any line of the sort:

    syslog = commands.getoutput( 'cat /var/log/messages''* | grep vsftpd' )

seems *very wrong*

- help->about doesn't do anything
Comment 6 Maros Barabas 2007-09-06 09:13:06 EDT
- (In reply to comment #5)
> Random comments:
> 
> - it crashes when you don't have vsftpd installed
looking for way how to check, if vsftpd is installed (whithout using rpm - other
systems).

> - any line of the sort:
> 
>     syslog = commands.getoutput( 'cat /var/log/messages''* | grep vsftpd' )
> 
> seems *very wrong*
you're right .. this is very wrong solution. Looking for some third party log
parser.

> - help->about doesn't do anything
done. 


Note You need to log in before you can comment on or make changes to this bug.